Updates the project with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
project| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| _parent_id |
Reference to a parent installation |
globally unique identifier | |
| root_parent_id |
This field will be filled automatically based on the parent_id |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "project" for parent installation using ERP PK when adding/updating project |
string | |
| _parent_project |
Embedded entity "project" for parent installation when adding/updating project |
project | |
| equipment_family_id |
Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating project |
string | |
| equipment_family |
Embedded entity "equipment_family" when adding/updating project |
equipment_family | |
| equipment_model_id |
Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model |
globally unique identifier | |
| equipment_model_code |
Embedded entity "equipment_model" using ERP PK when adding/updating project |
string | |
| equipment_model |
Embedded entity "equipment_model" when adding/updating project |
equipment_model | |
| project_status_id |
Foreign key to project_status |
globally unique identifier |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status_code |
Embedded entity "project_status" using ERP PK when adding/updating project |
string |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status |
Embedded entity "project_status" when adding/updating project |
project_status |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| company_id |
The company owner of this project/installation |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating project |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating project |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_id |
Specific db_address_id of the %company_id% if different than the company default address |
globally unique identifier | |
| db_address_code |
Embedded entity "db_address" using ERP PK when adding/updating project |
string | |
| db_address |
Embedded entity "db_address" when adding/updating project |
db_address | |
| location |
Additional text to describe the location |
string |
Max length: 255 |
| contact_id |
Main contact for this project/installation |
globally unique identifier | |
| contact_reference_back_office |
Embedded entity "contact" using ERP PK when adding/updating project |
string | |
| contact |
Embedded entity "contact" when adding/updating project |
contact | |
| owner_user_id |
User owner/manager of this project/installation |
globally unique identifier | |
| name |
Name of the project/installation |
string |
Required Max length: 50 |
| description |
Long description |
string | |
| reference_back_office |
The Id/Ref of the back office for this project/installation. Used by Embedded entity |
string |
Max length: 255 |
| serial_number |
Serial number |
string |
Max length: 255 |
| barcode |
Barcode |
string |
Max length: 50 |
| date_start_production |
Date project/installation becomes active |
date | |
| date_create |
Creation date+time |
date | |
| date_update |
Update date+time |
date | |
| updated_by_user_id |
Last User that updates the object |
globally unique identifier | |
| customer_reference |
Reference of this project/installation for the customer |
string |
Max length: 50 |
| warranty_date_until |
End date of the warranty (if applicable) |
date | |
| last_standard_result_score_1 |
Last result score 1 (CF Standard module) |
string |
Max length: 50 |
| last_standard_result_score_2 |
Last result score 2 (CF Standard module) |
string | |
| target_standard_result_score_1 |
Target result score 1 (CF Standard module) |
string |
Max length: 50 |
| target_standard_result_score_2 |
Target result score 2 (CF Standard module) |
string |
Max length: 50 |
| date_built |
Build date of the installation (if applicable) |
date | |
| shutdown_consequence |
Consequence of the installation is shut down (CEO has no air cooling anymore,..) |
string |
Max length: 4000 |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer | |
| nb_open_jobs |
Readonly - Number of open jobs |
integer | |
| date_next_job |
Date+time of the next job planned |
date | |
| date_last_job |
Date+time of the last job completed |
date | |
| nb_jobs_planned |
Number of jobs with status Planned |
integer | |
| nb_jobs_tobeplanned |
Number of jobs with status To Be Planned |
integer | |
| nb_jobs_waitingfurtheraction |
Number of jobs with status Waiting Further Action |
integer | |
| back_office_timestamp |
Back Office timestamp value (conflict detection purpose) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| is_mobile_installation |
Set it TRUE if this is a mobile installation. |
boolean |
Request Formats :
application/json, text/json
{
"id": "ed1e1b00-205d-4909-a2d6-b7e73ee4dda9",
"_parent_id": "41f1bc9a-cb8e-41a7-b409-273e6e563644",
"root_parent_id": "aba04810-23e2-41fa-be72-95700b73f0d4",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "f05c673a-f7d7-400c-90b2-c3a131aa2a88",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "f13a4f65-af30-4af6-9445-6cece18eef98",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "234f214d-18a0-440b-978c-6c633a01de0a",
"_parent_code": "sample string 6",
"sales_organization_id": "2be233e1-f0cd-41c2-afa9-737e6a13123c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "4c902c69-1603-4859-9a7d-a43d69163e6b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9d1c9d8f-1074-4bbe-99af-ae43987cbdc7",
"db_currency_id": "552bc71a-25d0-49a6-9a05-7f6dd62e6496",
"db_language_id": "215a47d5-5a95-495e-b5d1-49bc43ac9ab4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"equipment_model_id": "3777e9be-a36e-4a59-8104-e263ae5d2ac9",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "3ad437c0-ddca-459a-9b13-50352ade763e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "e21f3940-d1ff-4167-9a83-e6768e558d92",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "0221336c-fa5f-4852-ae9e-57ebf1d056cf",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "6f77714d-7182-4b84-805a-fc55a731fa25",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "4c902c69-1603-4859-9a7d-a43d69163e6b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9d1c9d8f-1074-4bbe-99af-ae43987cbdc7",
"db_currency_id": "552bc71a-25d0-49a6-9a05-7f6dd62e6496",
"db_language_id": "215a47d5-5a95-495e-b5d1-49bc43ac9ab4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"equipment_family_id": "bb3d23c8-e1aa-4a19-99a3-7c9c15f169eb",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "f13a4f65-af30-4af6-9445-6cece18eef98",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "234f214d-18a0-440b-978c-6c633a01de0a",
"_parent_code": "sample string 6",
"sales_organization_id": "2be233e1-f0cd-41c2-afa9-737e6a13123c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "4c902c69-1603-4859-9a7d-a43d69163e6b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9d1c9d8f-1074-4bbe-99af-ae43987cbdc7",
"db_currency_id": "552bc71a-25d0-49a6-9a05-7f6dd62e6496",
"db_language_id": "215a47d5-5a95-495e-b5d1-49bc43ac9ab4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"date_in_production_since": "2026-10-22T03:44:24.5353338+00:00",
"date_out_of_production_since": "2026-10-22T03:44:24.5353338+00:00",
"date_end_support": "2026-10-22T03:44:24.5353338+00:00",
"sales_organization_id": "f5a76553-9d1b-457a-acaf-d3ab4eaff78d",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "4c902c69-1603-4859-9a7d-a43d69163e6b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9d1c9d8f-1074-4bbe-99af-ae43987cbdc7",
"db_currency_id": "552bc71a-25d0-49a6-9a05-7f6dd62e6496",
"db_language_id": "215a47d5-5a95-495e-b5d1-49bc43ac9ab4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"project_status_id": "6b7af665-f253-471b-9ec5-4feba5c017e5",
"project_status_code": "sample string 10",
"project_status": {
"id": "0a085b89-0fd2-46cf-933b-8b52134c42b0",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "408b3a7b-e25c-4058-b87a-7ecb69d2e454",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "4c902c69-1603-4859-9a7d-a43d69163e6b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9d1c9d8f-1074-4bbe-99af-ae43987cbdc7",
"db_currency_id": "552bc71a-25d0-49a6-9a05-7f6dd62e6496",
"db_language_id": "215a47d5-5a95-495e-b5d1-49bc43ac9ab4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00"
},
"company_id": "b7aa805d-c6ca-4f06-9789-86c46f2e64bf",
"company_code": "sample string 12",
"db_address_id": "9f8ff530-470c-437d-8627-95da722403b9",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "b0818896-0f4a-47e0-9fa2-890a889ee217",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "c0441bdd-b5a8-45d7-a41c-9e2cb7d28276",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-22T03:44:24.5353338+00:00",
"date_create": "2026-10-22T03:44:24.5353338+00:00",
"date_update": "2026-10-22T03:44:24.5353338+00:00",
"updated_by_user_id": "975689a7-f903-48b5-9a22-397c0ac22d20",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-22T03:44:24.5353338+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-22T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-22T03:44:24.5353338+00:00",
"date_last_job": "2026-10-22T03:44:24.5353338+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-22T03:44:24.5353338+00:00",
"modified_dateutc": "2026-10-22T03:44:24.5353338+00:00",
"is_mobile_installation": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.